Package org.gradle.tooling.model.gradle

## Interface BuildInvocations

- All Superinterfaces:
    `Model`, `ProjectModel`

      public interface BuildInvocations
      extends Model, ProjectModel

  A model providing access to `Launchable` instances that can be used to initiate Gradle build.

  To launch a build, you pass one or more `Launchable` instances to either `BuildLauncher.forTasks(Iterable)` or `BuildLauncher.forLaunchables(Iterable)`.

  Since:
    1.12

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ProjectIdentifier` | `getProjectIdentifier()` | Returns the identifier for the Gradle project that these invocations originate from.
    `DomainObjectSet<? extends Task>` | `getTasks()` | Returns the tasks that can be used to execute a build.
    `DomainObjectSet<? extends TaskSelector>` | `getTaskSelectors()` | Returns tasks selectors that can be used to execute a build.

- - ### Method Detail

    - #### getProjectIdentifier

          ProjectIdentifier getProjectIdentifier()

      Returns the identifier for the Gradle project that these invocations originate from.
      Specified by:
        `getProjectIdentifier` in interface `ProjectModel`
      Since:
        2.13

    - #### getTaskSelectors

          DomainObjectSet<? extends TaskSelector> getTaskSelectors()

      Returns tasks selectors that can be used to execute a build. Selector is a `Launchable` that requests to build all tasks with a given name in context of some project and all its subprojects.
      Returns:
        The task selectors.
      Since:
        1.12

    - #### getTasks

          DomainObjectSet<? extends Task> getTasks()

      Returns the tasks that can be used to execute a build.
      Returns:
        The tasks.
      Since:
        1.12